## git-buildpackage 0.6.0

=== debian/changelog ===
git-buildpackage (0.6.0) unstable; urgency=low

  [ Guido Günther ]
  * Introduce gbp supercommand to get rid of the git-<command> vs.
    gbp-<command> inconsistencies:
      * [12dce5f] Add wrapper for all gbp commands.  So like git you can now
        use gbp <command> instead of git-<command> or gbp-<command>. The
        manpages and docs aren't adjusted yet.
      * [416f690] Bash complete on "gbp <command>" too
      * [5684b18] Add gbp manpage
      * [6b1b41f] docs: Use gbp <command> instead of {git,gbp}-<command>
      * [daccfa0] manpages: Changes references from git- to gbp-
      * [1d90e73] docs: Rename the entities from &git-<command>; to
        &gbp-<command>;
      * [1eea5d5] gbp.conf: Use command names instead of {git,gbp}-
      * [c365f7c] Rename the sgml files from git- to gbp-
      * [55fded7] NEWS: add a note about the new gbp super command
      * [b47b7e8] Update package description
      * [fe9f925] GbpOptionParser: Make sure we parse the old config sections.
        For backward compatibility between {gbp,git}-<command> and "gbp
        <command>" make sure we parse the former sections if using the later.
      * [375014d] gbp: support --help
      * [a5aff11] Consistently call gbp the supercommand and robustify against
        invalid modules names.
      * [e09ef94] gbp-import-dscs: invoke gbp import-dsc instead of
        git-import-dsc
      * [38d43b4] config: Don't fill in the parser with all defaults.
  * [4d6eecb] GitRepository.get_subject: use get_commit_info.
    This kills another _git_getoutput. Also deprecate the method since we
    don't need to special case the subject.
  * [caff99c] GbpOptionParser: Make sure we access the GbpOptionParser*'s
    default dict and not the one from the OptionParser. The instance's default
    dict this gets reset to empty when invoking OptionParser.__init__.
  * [1158503] GbpOptionParser: add test for 'filter' option handling
  * [ed63276] Git-Ignore generated gbp.conf.5 too
  * [3966076] Remove unused imports
  * [b59818d] import-dsc: print filename instead of object name

  [ Markus Lehtonen ]
  * [fa414e5] gitmodifier: make the datetime object always have timezone.  To
    be consistent with the date property and for easier compatibility with git
    dates.
  * [f717975] GitRepository/get_commit_info: add patchname to info.
    Add a new 'patchname' field to the information returned by
    get_commit_info. That is, the subject in a sanitized format, similar to
    what git-format-patch uses.
  * [74d956f] import-orig: keep working copy in sync with branch HEAD.
    Update working copy and index (to branch HEAD) if we modify the
    currently checked-out branch. Otherwise the repository is left in
    unclean state when the current branch is upstream or pristine-tar and
    the '--no-merge' option is used.
  * [a30f9e7] buildpackage: use get_commit_info() instead of get_subject()
    Utilize the get_commit_info() method of GitRepository instead of the
    deprecated get_subject().
  * [75cbd9a] GitRepository/diff: allow single object.
    Allow diffing a single object, e.g. getting diff from single commit.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Jun 2013 16:36:41 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 7.0.50~), python (>> 2.6.6-3~),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil,
 python-nose,
 python-nosexcover,
 bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
# For the testsuite
 git (>= 1:1.7.9.1-1~), bzip2, unzip, pristine-tar, devscripts
Standards-Version: 3.9.3
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python-Version: >= 2.6

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
 git (>= 1:1.7.9.1-1~), python-dateutil, man-db
Recommends: pristine-tar (>= 0.5), cowbuilder
Suggests: python-notify, unzip
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp import-orig: import a new upstream version into the git repository
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories

## git-buildpackage 0.6.0git20120810

=== docs/Makefile ===
#!/usr/bin/make

MANS = git-buildpackage  \
           git-import-dsc    \
           git-import-dscs   \
           git-import-orig   \
           git-dch           \
           gbp-pull          \
           gbp-clone         \
           gbp-pq            \
           gbp-create-remote-repo \
           gbp.conf

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(MANS))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog

# Stuff to build docs outside Debian
HAVE_SGML2X ?= 1
GTK_DOC_CATALOG_FILE ?= /usr/share/sgml/gtk-doc/gtk-doc.cat

all: $(MANUAL) $(MANPAGES)

$(MANUAL): manual.sgml manual-rpm.sgml chapters/*.sgml manpages/*.sgml
ifeq ($(HAVE_SGML2X),1)
	docbook-2-html -s local $<
	docbook-2-html -s local manual-rpm.sgml
else
	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) $<
	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) manual-rpm.sgml
endif
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

%.1: man.%.sgml manpages/%.sgml
	docbook2man -o . $<

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.sgml: $(VERSION_ENT)

manual-rpm.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 *.5 manpage.* $(VERSION_ENT)

=== debian/changelog ===
git-buildpackage (0.6.0git20120810) experimental; urgency=low

  [ Guido Günther ]
  * [3b34b26] Make building with DEB_BUILD_OPTIONS=nocheck skip all tests
    heavily based on a patch by Matthijs Kooijman (Closes: #669149)

  [ Matthijs Kooijman ]
  * [a43e9b9] Git-Dch: Full in commit messages.
    This new tag makes git-dch use the full commit message when generating
    the Debian changelog file, even when --full is not given. (Closes: #669159)
  * [b72702f] Bug#669145: Add git-dch --commit and --commit-msg options
    (Closes: #669145)

  [ Markus Lehtonen ]
  * [19b6e24] docs: add some missing tags to sgml files
  * [9c4f34c] Refactor gbp-pq as preparation for rpm support.
    Separate some functions of gbp-pq into a basemodule, intended to be
    re-used by the upcoming rpm variant of the tool.
    Also, introduces a new python subpackage gbp.scripts.common to be used
    for the re-usable parts of the scripts in the refactoring work.
  * [c8e4807] Refactor git-buildpackage as preparation for rpm support.
    Separate some functions of git-buildpackage into a basemodule, intended
    to be re-used by the upcoming rpm variant of the tool.
  * [27c35b1] import-orig: refactor args of ask_package_* functions.
    Makes ask_package_name() and ask_package_version() more generic and
    re-usable in the upcoming RPM-tools.
  * [5826e9c] Refactor git-import-orig as preparation for rpm support.
    Separate some functions of git-import-orig into a baselib, intended to
    be re-used by the upcoming rpm variant of the tool.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Apr 2012 00:24:03 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 7.0.50~), python (>> 2.6.6-3~),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-nose,
 bash-completion, perl, python-epydoc, python-coverage, python-setuptools, python-rpm,
# For the testsuite
 git, bzip2, unzip, pristine-tar
Standards-Version: 3.9.3
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python-Version: >= 2.6


Package: git-buildpackage-common
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, git
Recommends: pristine-tar (>= 0.5)
Suggests: python-notify, unzip
Description: Suite to help with packaging in Git repositories
 This package contains the common API and scripts for Debian and rpm packaging


Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~), git-buildpackage-common (>= 0.6.0git20120810)
Recommends: cowbuilder
Suggests: python-notify, unzip
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * git-dch: generate Debian changelog entries from Git commit messages
  * gbp-{pull,clone}: clone and pull from remote repos
  * gbp-pq: manage debian/patches easily
  * gbp-create-remote-repo: create remote repositories


Package: git-buildpackage-rpm
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rpm, git-buildpackage-common (>= 0.6.0git20120810)
Description: Suite to help with rpm packages in Git repositories
 This package contains the following tools:
  * git-import-srpm: import existing rpm source packages into a git
    repository
  * git-import-orig-rpm: import a new upstream version into the git repository
  * git-buildpackage-rpm: build a package out of a git repository, check for local
    modifications and tag appropriately

## git-buildpackage 0.6.0git20120822

=== docs/Makefile ===
--- 
+++ 
@@ -1,18 +1,18 @@
 #!/usr/bin/make
 
-MANS = git-buildpackage  \
-           git-import-dsc    \
-           git-import-dscs   \
-           git-import-orig   \
-           git-dch           \
-           gbp-pull          \
-           gbp-clone         \
-           gbp-pq            \
-           gbp-create-remote-repo \
-           gbp.conf
+MAN1S = git-buildpackage  \
+        git-import-dsc    \
+        git-import-dscs   \
+        git-import-orig   \
+        git-dch           \
+        gbp-pull          \
+        gbp-clone         \
+        gbp-pq            \
+        gbp-create-remote-repo
+MAN5S = gbp.conf
 
 MANUAL=manual-html
-SGML_MANPAGES=$(patsubst %,%.1,$(MANS))
+SGML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
 POD_MANPAGES=git-pbuilder.1
 MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 VERSION_ENT=version.ent
@@ -36,8 +36,18 @@
 endif
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
-%.1: man.%.sgml manpages/%.sgml
-	docbook2man -o . $<
+# We build manpages under 'buildxref/' just to get an updated cross-reference
+# file (manpage.refs), before building the final manpages
+BUILD_MAN_XREF_PAGES=$(patsubst %,buildxref/%,$(SGML_MANPAGES))
+
+buildxref/%.1 buildxref/%.5: man.%.sgml manpages/%.sgml
+	docbook2man -o buildxref $<
+
+manpage.refs: $(BUILD_MAN_XREF_PAGES)
+	cp buildxref/$@ $@
+
+%.1 %.5: manpage.refs
+	docbook2man -o . man.$*.sgml
 
 git-pbuilder.1: ../bin/git-pbuilder
 	pod2man $< $@
@@ -52,4 +62,5 @@
 clean:
 	-rm -r manual-html/
 	-rm *.1 *.5 manpage.* $(VERSION_ENT)
+	-rm -r buildxref

=== packaging/Makefile ===
PKG_NAME := git-buildpackage
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
PKG_VERSION := $(shell grep '^Version: ' $(SPECFILE)|awk '{print $$2}')

TARBALL := $(PKG_NAME)_$(PKG_VERSION).tar.gz

dsc: $(TARBALL)
	$(eval MD5=$(shell md5sum $(TARBALL) | sed "s/  / $(shell stat -c '%s' $(TARBALL)) /"))
	@sed  -i 's/^Version:.*/Version: $(PKG_VERSION)/' $(PKG_NAME).dsc
	@sed  -i 's/ [a-f0-9]\+ [0-9]\+ $(PKG_NAME).*tar.*/ $(MD5)/' $(PKG_NAME).dsc

$(TARBALL):
	@cd `git rev-parse --show-toplevel` \
		&& git archive --prefix $(PKG_NAME)-$(PKG_VERSION)/ HEAD \
		| gzip > $(CURDIR)/$(TARBALL)

clean:
	@rm -f $(PKG_NAME)*.tar.gz

all: clean dsc

=== debian/changelog ===
git-buildpackage (0.6.0git20120822-tizen20121123) unstable; urgency=low

  [ Guido Günther ]
  * [e05bfb9] dch: Fix error reporting on parsing errors
  * [f4162be] manpage: Fix typo in git-dch's multimain-merge option
    (Closes: #684322)
  * [e8d175a] manpages: correct manual section and remove duplicate entry

  [ Zhang Qiang ]
  * [0af1e72] GitRepository/branch_contains: remove prefix '*' in branch name.

  [ Markus Lehtonen ]
  * [678f85f] docs: fix cross-referencing in manpages.
  * [f0d4b0d] docs: make refentry ids of manpages more consistent
  * [dc3b3b6] GitArgs/add: support iterable and non-string args.

  [ Ed Bartosh ]
  * [7524bbb] GitRepository: Implement set_upstream_branch and
    get_upstream_branch methods

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Aug 2012 10:58:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-nose,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools, python-rpm,
 # For the testsuite
- git, bzip2, unzip, pristine-tar
+ git, bzip2, unzip, pristine-tar, devscripts
 Standards-Version: 3.9.3
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
@@ -25,7 +25,7 @@
 
 Package: git-buildpackage
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~), git-buildpackage-common (>= 0.6.0git20120810)
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~), git-buildpackage-common (= ${binary:Version})
 Recommends: cowbuilder
 Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories
@@ -43,7 +43,7 @@
 
 Package: git-buildpackage-rpm
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rpm, git-buildpackage-common (>= 0.6.0git20120810)
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rpm, git-buildpackage-common (= ${binary:Version})
 Description: Suite to help with rpm packages in Git repositories
  This package contains the following tools:
   * git-import-srpm: import existing rpm source packages into a git

=== debian/rules ===
#!/usr/bin/make -f
  
EXAMPLE_SCRIPTS=\
    gbp-add-patch          \
    gbp-cowbuilder-sid     \
    gbp-posttag-push       \
    gbp-configure-unpatched-source \
    wrap_cl.py

DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)

PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin

%:
	dh $@ --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	PYTHONPATH=.					\
	#python setup.py nosetests
	
	#PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q \
	#	gbp gbp.scripts gbp.git gbp.deb
else
	@echo "Checks disabled via DEB_BUILD_OPTIONS"
endif

override_dh_auto_build:
	dh_auto_build
	epydoc -v --config=setup.cfg
	make -C docs/

override_dh_auto_install:
	dh_auto_install
	dh_bash-completion

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	make -C docs/ clean
	-rm gbp/version.py

override_dh_compress:
	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/

## git-buildpackage 0.6.0git20121124

=== debian/changelog ===
git-buildpackage (0.6.0git20121124-tizen20130308) unstable; urgency=low

  [ Guido Günther ]
  * [c3c2778] Add minimal debian/source/format parser
  * [3878867] PEP-8 and pyflakes cleanups
  * [30c1821] Add support dch's --security option
  * [4970b42] gbp-pq: Print number of import tries left
  * [cf48b03] Allow to remove the orig tarball symlink that's used make
    pristine-tar see the correct orig tarball name.
    (Closes: #692401)
  * [09ba538] GbpError accepts an error message so no need to print it
    separately.
  * [a488695] Minor git-import-orig manpage improvements
  * [4c9bb9f] Add missing git- prefix to --color and --notify options.
    Thanks to Filippo Rusconi (Closes: #693978)
  * [9478bad] testutils: create missing directories when adding a file
  * [691856d] Use an absolute path when parsing the control file so we can't
    accidentally parse a file from another dir.
  * [d248720] Test apply_and_commit_patch
  * [3952091] gbp-pq: Allow to pass in custom function to fetch authorship
    information so the RPM based tools don't need to rely on a control file
    but can e.g. look at the spec file.
  * [7f2c9c1] gbp-pq: Test if setting a topic works
  * [f4d493d] Add sha1 stripping in a single place so we can easily sanity
    check the result.
  * [95ec21a] Output test results in xunit format too to make it more useful
    in Jenkins CI builds
  * [24fdd97] Test gbp.pq.common.write_patch
  * [824e83e] gbp-pq: don't use plural form when there's only one try left
  * [8b01d37] git-import-dscs: Properly catch import errors
    (Closes: #694113)

  [ Dmitrijs Ledkovs ]
  * [323bdcf] Fix  testsuite failure if DEB_VENDOR != Debian.
    (Closes: #692289)

  [ Markus Lehtonen ]
  * [f4d2e21] GitRepository: implement _cmd_has_feature() method to allow
    compatibility with older git versions.
  * [dfbedfe] GitRepository: fix merge() for older git versions using
    _cmd_has_feature() in GitRepository.merge().
  * [ba854d8] GitRepository/diff: add 'paths' argument to makes the diff
    function more versatile
  * [b7cdef5] GitRepository/diff: catch git error.
  * [fe1e120] command_wrappers: suppress some pylint warnings
  * [4ed1b43] notifications.py: remove unused import
  * [0a9bf99] tests: make tests a Python module to make it possible to reuse
    code between various tests.
  * [932b1c0] pq: fix "no authorship" warning messages.
  * [1da7e0d] import-orig: remove dead if statement.
  * [3678906] import-orig: remove dead GbpNothingImported exception
  * [8bc7921] GitRepository/get_commits: more flexible revision ranges.
  * [36d13cb] GitRepository/get_submodules: use correct path.
  * [3362147] GitRepository/get_commit_info: support tags.
  * [03cdea0] GitRepository/has_submodules: use correct .gitmodules file.

  [ Ed Bartosh ]
  * [8bb62f5] GitRepository.find_tag: change deprecated _git_getoutput to
    _git_inout

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 Nov 2012 14:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: git-buildpackage-common
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, git
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, git, man
 Recommends: pristine-tar (>= 0.5)
 Suggests: python-notify, unzip
 Description: Suite to help with packaging in Git repositories
@@ -43,7 +43,7 @@
 
 Package: git-buildpackage-rpm
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rpm, git-buildpackage-common (= ${binary:Version})
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-rpm, git-buildpackage-common (= ${binary:Version}), rpm2cpio
 Description: Suite to help with rpm packages in Git repositories
  This package contains the following tools:
   * git-import-srpm: import existing rpm source packages into a git

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
+	export DEB_VENDOR="Debian";			\
 	export GIT_AUTHOR_NAME="Gbp Tests";		\
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\

## git-buildpackage 0.6.1

=== debian/changelog ===
git-buildpackage (0.6.1) unstable; urgency=low

  * [42769e3] Split {Build-,}Deps per line
    and sort alphabetically
  * [747a273] Depend on python-pkg-resources (Closes: #714238)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Jun 2013 11:23:03 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion,
 debhelper (>= 7.0.50~),
 docbook-utils,
 gtk-doc-tools,
 jade,
 perl,
 pychecker,
 python (>> 2.6.6-3~),
 python-coverage,
 python-dateutil,
 python-epydoc,
 python-nose,
 python-nosexcover,
 python-pkg-resources,
 python-setuptools,
 sgml2x,
# For the testsuite
 bzip2,
 devscripts,
 git (>= 1:1.7.9.1-1~),
 pristine-tar,
 unzip,
Standards-Version: 3.9.3
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python-Version: >= 2.6

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.10.66~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python-dateutil,
 python-pkg-resources,
Recommends: pristine-tar (>= 0.5), cowbuilder
Suggests: python-notify, unzip
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp import-orig: import a new upstream version into the git repository
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,10 @@
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	PYTHONPATH=.					\
-	#python setup.py nosetests
+	python setup.py nosetests
 	
-	#PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q \
-	#	gbp gbp.scripts gbp.git gbp.deb
+	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q \
+		gbp gbp.scripts gbp.git gbp.deb
 else
 	@echo "Checks disabled via DEB_BUILD_OPTIONS"
 endif

## git-buildpackage 0.6.2

=== debian/changelog ===
git-buildpackage (0.6.2) unstable; urgency=low

  * [194d396] Document gbp's help option
  * [56068e5] Git.Repository.__git_inout: properly set stdin.
    We should set stdin to subprocess.PIPE when piping input according
    to the subprocess docs.
  * [585439e] Git.Repository.__git_inout: Close all other file descriptors.
    No need to leak fds to the child.
  * [9af1868] gbp.git.Repository.get_branch(): use _git_command
    instead of the deprecated _git_inout and clarify the return codes and
    exceptions raised.
  * [a2ce387] gbp.git.GitRepository.has_branch(): use _git_command instead of
    the deprecated _git_getoutput
  * [2145c58] Test succesful import too and make sure we don't spew to stderr
    during this test
  * [8d2ceba] Make sure we keep our test coverage
  * [00a4162] Switch to debhelper level 9 which is available in Wheezy
  * [55ba9b8] Update Vcs-Browser URL
  * [e829dc5] Add symlinks to the manpages for the deprecated commands and
    make lintian happy (Closes: #714489)
  * [fc74aa2] Fix broken xrefs
  * [2a233a7] Add examples for importing upstream sources
  * [cef5bae] Add gbp buildpackage example showing git-pbuilder invocation
  * [1b38d90] Remove duplicate config files section in the "gbp buildpackage"
    man page
  * [a22eee2] GitRepository.set_upstream_branch: Newer git wants a valid
    remote repo entry so set one in the tests before trying to set the
    upstream branch. Found with git 1.8.3.2
  * [7762b17] GitRepository.set_upstream_branch: don't try to set upstream
    twice.  Move setting of the upstream branch out of the loop. This worked
    by accident so far.
  * [b615db5] GitRepository.set_upstream_branch: Catch errors to set upstream
    branch
  * [b8e921e] GitRepository.set_upstream_branch: use --set-upstream-to if
    available since --set-upstream is deprecated.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jul 2013 21:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  bash-completion,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  docbook-utils,
  gtk-doc-tools,
  jade,
@@ -27,7 +27,7 @@
  unzip,
 Standards-Version: 3.9.3
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
-Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
+Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
 X-Python-Version: >= 2.6

## git-buildpackage 0.6.3ubuntu1

=== debian/changelog ===
git-buildpackage (0.6.3ubuntu1) saucy; urgency=low

  * debian/rules: Don't export DEB_VENDOR="Debian" as tests now
    take Ubuntu versions into consideration (LP: #1215175).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 19 Sep 2013 11:25:20 -0400

git-buildpackage (0.6.3) unstable; urgency=low

  * [60ffe95] --git-hooks doesn't take an argument
  * [7a29e42] Move MockedChangelog to testutils and allow to specify the
    content so we can reuse it for other dch tests.
  * [938e4cd] dch: make automatic adding of new sections more robust.
    The code that determined if we found a snapshot header was obfuscated by
    the code that determines the commits to add. Split those and better
    document their purpose. Also always return the commit to start from so we
    don't need to repeat the logic in the upper levels.
  * [d0fb6d8] Minor docstring updates
  * [388cfb8] docs: Add recommended branch layout.
    It'd be nice to have similar branch layouts among packages so recommend
    one that worked well so far.
  * [34b2079] GitRepository: allow to use '..' instead of '...'
    The symmetric difference isn't always useful since it includes changes
    from both branches. See #680705.
  * [f793ed0] pq: exclude patches from Debian packaging branch.
    When regenerating the patch queue including patches from the Debian
    branch is not useful. Addresses parts of #680705.
    Thanks to Benjamin Cama for the detailed analysis.
  * [283c847] docs: Refert to gbp in the introduction since this wraps all
    commands now.
    Thanks to Ross Boylan for pointing out that the current wording is
    confusing.
  * [8f073eb] docs: remove superfluous at
  * [c9d3d93] Use open() instead of file() since the later doesn't exist in
    python3

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Aug 2013 19:35:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  bash-completion,
  debhelper (>= 9~),

## git-buildpackage 0.6.5

=== debian/changelog ===
git-buildpackage (0.6.5) unstable; urgency=low

  [ Etienne Millon ]
  * [ba4f778] doc: Fix git-pbuilder example (Closes: #725875)

  [ Guido Günther ]
  * [3be2947] Be more robust about git status output changes by using
    --porcelain. Heavily based on a patch by rian m. carlson
    (Closes: #726260)
  * [ae460e1] Bump standards version

  [ Andrew Starr-Bochicchio ]
  * [4368694] Don't export DEB_VENDOR="Debian"
    Tests now take Ubuntu versions into consideration. (Closes: #723756)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Oct 2013 10:29:58 +0200

git-buildpackage (0.6.4) unstable; urgency=low

  [ Guido Günther ]
  * [0385dc5] docs: having an upstream branch is a recommendation rather than
    a hard requirement, we can use any treeish to build the upstream tarball
    from.
  * [e398469] Remove unused import
  * [f738be3] Add link to online docs
  * [ec7bd94] pq: print which patch failed to apply
  * [820100d] pq: Only print number or tries if we try more than once
  * [a86ccb7] Update to git-pbuilder 1.29
  * [b494801] Backports got integrated into the main archive.  From wheezy on
    we can use the main archive

  [ Markus Lehtonen ]
  * [4030c19] docs: minor sgml syntax fix
  * [e72a1e2] config: restore mangled env in doctests.
  * [0eeafba] GitRepository/diff: add 'stat' and 'summary' options.
  * [8cdc06f] ComponentTestBase: more verbose output in case of branch mismatch
  * [af2034c] ComponentTestBase: fix env restore in teardown
  * [54099f5] import-orig: import readline in the common module.
  * [6c478a6] ComponentTestBase: keep tmpdir if GBP_TESTS_NOCLEAN is in env
  * [bc40956] GitRepository: Add clean() method
  * [e48f0a0] GitRepository.diff: add 'text' option.  for generating textual
    diffs.
  * [3c0a022] GitRepository.diff: prevent usage of external diff.  External
    diff might break patch generation, for example.
  * [6f3d63a] ComponentTestBase: use eq_() ok_() from nose.tools for better
    assert messages.
  * [e54289e] common/buildpackage: fix handling of empty tarball prefix as
    needed for rpm builds
  * [39f581e] GitRepository.diff: add 'ignore_submodules' option
  * [b9b9eea] GitRepository.list_tree: add 'paths' option.
  * [3eb401d] git: new class and method for remote repositories.
  * [28fdf4c] GitRepository.has_remote_repo: use get_remotes method.
  * [b4e5b73] GitRepository: deprecate the get_remote_repos method.
  * [c222197] tests: add test for archiving without git submodules
  * [92f29be] tests: use eq_ and ok_ from nose tools in submodule tests.
    For consistency and better assert error messages.
  * [f858f87] tests: add some docstrings to git submodule tests.
  * [1d92bfe] tests: upper case global variables in submodule tests.
  * [6b8037e] tests: remove unused import in submodule tests.

  [ Lingchaox Xin ]
  * [07b3054] GitRepository.has_treeish: minor pylint fix
  * [eca5a33] GitRepository.describe: add 'tags' and 'extra-match' options
  * [1320de2] GitRepository.fetch: Add 'refspec' option
  * [171579f] GitRepository.fetch: Add 'all_remotes' option
  * [68baa9a] GitRepository.push: Add 'force' option
  * [d28c7cc] GitRepository.push: Add 'tags' option
  * [db79c5d] GitRepository.pull: Add 'all_remotes' option.
    Also changes the method to utilize the GitArgs class.

  [ Osamu Aoki ]
  * [8441bba] typo s/bei/be/ (Closes: #722359)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 06 Oct 2013 17:35:14 +0200

## git-buildpackage 0.6.6

=== debian/changelog ===
git-buildpackage (0.6.6) unstable; urgency=low

  [ Guan Junchun ]
  * [284eea5] gbp-clone: support repo URLs like "host:repo.git" Previously,
    gbp didn't correctly parse this kind of URL and clone failed.
  * [d52abf3] gbp-clone: support cloning to a specific directory
    (Closes: #725666)

  [ Guido Günther ]
  * [3092623] Add missing bash completion for gbp import-dscs
    (Closes: #727749)
  * [fc5b485] import-dsc: allow to skip Debian tag creation
    (Closes: #636368)
  * [6f0c8f9] Update to git-pbuilder 1.30 that resyncs with what we shipped in
    gbp.
  * [3e09958] Disable html coverage generation until python-nose is fixed.

  [ Markus Lehtonen ]
  * [c661c71] pq: rewrite patch export functionality.
    Use our own function for constructing the patch files instead of using
    the format-patch command of git. This way, we get the desired output
    format directly, without the need for the error-prone "format-patch,
    parse patch files, mangle and re-write patch files" cycle.
    Also, fix patch naming in patch generation when '--no-patch-numbers' is
    used.  Previously, multiple commits with the same subject resulted in
    multiple patches having the same filename. This lead into broken series
    with missing patches as patch files were overwritten by the topmost
    commit.
  * [017fac3] pq.format_patch: support file path filtering.
    Implements a filter option that allows filtering out changes to certain
    files/paths in the patch-generation. A commit is totally ignored if all
    files would be filtered out. The path filter is given as a Python
    regexp.
  * [a0d6eb7] pq: properly generate non-ascii patch files.
    Encode non-ascii email headers properly. Also, set MIME headers
    correctly for the message body if the commit message body contains
    non-ascii characters.
    The reason for constructing the message in a little bit "clumsy" way is
    the intention is to match the output of git-format-patch as closely as
    possible.
  * [91fbdc1] pq: support patch-export commands.
    Support giving commands to pq as a meta tag in commit message. The
    format is "Gbp: <command> [args]".
    Currently, only one command is supported. namely 'ignore'. That is, one
    can use 'Gbp: Ignore' in the commit message for ignoring the commit in
    patch-generation.
  * [3dccca6] pq: add format_diff() function.
    For generating a patch file from a diff between two arbitrary commits.
  * [34e85f7] pq: listen to 'Gbp-Pq:' commands, too
  * [99c6995] pq: support 'Topic' patch-export command.
    Topic can be defined with either 'Gbp: Topic <topic>' or 'Gbp-Pq: Topic
    <topic>' in the commit message.
    This is to replace the "gbp-pq-topic: <topic>" command.
  * [0c0086b] docs: update pq manpages regarding pq command meta tags

  [ Felipe Sateler ]
  * [babbc5e] Add zsh completion.
    (Closes: #717002)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Nov 2013 08:21:55 +0100

## git-buildpackage 0.6.7

=== debian/changelog ===
git-buildpackage (0.6.7) unstable; urgency=low

  * [ab5a708] import-dsc; Merge upstream version by tag
    instead of simply using the upstream branch name. THis makes sure
    we also merge upstream versions that were imported previously with
    e.g. "gbp import-orig". (Closes: #698222)
  * [2042144] log: add error and warning aliases since I tend to use them
    instead of err and warn. (Closes: #728896)
  * [bc5ce39] Fix description of backports branches
  * [00d830c] Use --distribution instead of --dist (Closes: #730788)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Nov 2013 20:52:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  bash-completion,
  debhelper (>= 9~),
@@ -26,7 +25,7 @@
  git (>= 1:1.7.9.1-1~),
  pristine-tar,
  unzip,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/

## git-buildpackage 0.6.8

=== debian/changelog ===
git-buildpackage (0.6.8) unstable; urgency=medium

  * [f5718b8] No need to document --verbose.  Properly document --help
    instead.
    Thanks to Olivier Berger for pointing this out (Closes: #731149)
  * [e746d5f] Adjust test cases to newer devscripts (Closes: #732384)
  * [ca93ccb] Run nosetest on executables too.
    They're all well behaved and this allows us to use doctests in them
  * [eec8ce3] Determine changes file name based on dpkg-buildpackage options
    (Closes: #732678)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Dec 2013 18:16:01 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  sgml2x,
 # For the testsuite
  bzip2,
- devscripts,
+ devscripts (>= 2.13.8~),
  git (>= 1:1.7.9.1-1~),
  pristine-tar,
  unzip,

## git-buildpackage 0.6.9

=== docs/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make
 
-MAN1S = git-buildpackage  \
-        git-import-dsc    \
-        git-import-dscs   \
-        git-import-orig   \
-        git-dch           \
+MAN1S = gbp-buildpackage  \
+        gbp-import-dsc    \
+        gbp-import-dscs   \
+        gbp-import-orig   \
+        gbp-dch           \
+        gbp               \
         gbp-pull          \
         gbp-clone         \
         gbp-pq            \
@@ -20,20 +21,10 @@
 DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~]\+\)"/\1/p' $(GBP_VERSION))
 CHANGELOG=../debian/changelog
 
-# Stuff to build docs outside Debian
-HAVE_SGML2X ?= 1
-GTK_DOC_CATALOG_FILE ?= /usr/share/sgml/gtk-doc/gtk-doc.cat
-
 all: $(MANUAL) $(MANPAGES)
 
-$(MANUAL): manual.sgml manual-rpm.sgml chapters/*.sgml manpages/*.sgml
-ifeq ($(HAVE_SGML2X),1)
+$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
 	docbook-2-html -s local $<
-	docbook-2-html -s local manual-rpm.sgml
-else
-	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) $<
-	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) manual-rpm.sgml
-endif
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
 # We build manpages under 'buildxref/' just to get an updated cross-reference
@@ -54,8 +45,6 @@
 
 manual.sgml: $(VERSION_ENT)
 
-manual-rpm.sgml: $(VERSION_ENT)
-
 $(VERSION_ENT): $(GBP_VERSION)
 	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

=== debian/changelog ===
git-buildpackage (0.6.9) unstable; urgency=medium

  [ Guido Günther ]
  * [78f3673] Depend on newer devscripts.
    These contain a uscan that handles repackaging at the right level and
    won't let us pick up the wrong tarball name.
    Thanks to gregor herrmann and all others involved (Closes: #635920)
  * [7c64575] Avoid backtrace on config file parse errors
    "gbp buildpackage" did this already but others didn't (Closes: #733759)
  * [7b1eadd] Make parsing config file sections symmetric.
    Always read the legacy command's config file section prior to the
    subcommand's config file section.
    Until now 'gbp <subcommand>' would read '[subcommand]' as well as
    '[gbp-<subcommand>]' sections while 'gbp-<subcommand>' would only read
    '[gbp-<subcommand>]' sections. (Closes: #733759)
  * [49f0e44] Change the default of cleaner to /bin/true.
    Running a clean command within version control by default nowadays
    causes more trouble than it helps. It's unnecessary with
    pbuilder/cowbuilder/sbuild and with export-dir. So change the default
    from 'debuild clean' to a noop ('/bin/true'). (Closes: #670624)
  * [d93c89f] import_orig: test error paths of find_source
  * [daf249f] docs: improve docs on using upstream's git repo.
    The documentation on using upstream's git directly instead of tarballs
    was very terse. Add a step by step guide on how to get started and
    how to update to new upstream versions.

  [ Markus Lehtonen ]
  * [e876beb] tests: adapt dch tests for older devscripts.
    Determine the default urgency level by determining the version number of
    the dch tool from command line.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2014 11:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Depends: ${python:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- devscripts (>= 2.10.66~),
+ devscripts (>= 2.13.5~),
  git (>= 1:1.7.9.1-1~),
  man-db,
  python-dateutil,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)
 
+ZSH_COMPDIR = /usr/share/zsh/vendor-completions/
+
 PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin
 
 %:
@@ -17,7 +19,6 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
-	export DEB_VENDOR="Debian";			\
 	export GIT_AUTHOR_NAME="Gbp Tests";		\
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
@@ -39,6 +40,9 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_bash-completion
+	mkdir -p debian/git-buildpackage/$(ZSH_COMPDIR)
+	install -m644 debian/git-buildpackage.zsh-completion \
+		debian/git-buildpackage/$(ZSH_COMPDIR)/_gbp
 
 override_dh_auto_clean:
 	dh_auto_clean

## git-buildpackage 0.6.15

=== docs/Makefile ===
--- 
+++ 
@@ -1,15 +1,19 @@
 #!/usr/bin/make
 
-MAN1S = gbp-buildpackage  \
+MAN1S = \
+        gbp               \
+        gbp-buildpackage  \
+        gbp-clone         \
+        gbp-config        \
+        gbp-create-remote-repo \
+        gbp-dch           \
         gbp-import-dsc    \
         gbp-import-dscs   \
         gbp-import-orig   \
-        gbp-dch           \
-        gbp               \
+        gbp-pq            \
         gbp-pull          \
-        gbp-clone         \
-        gbp-pq            \
-        gbp-create-remote-repo
+        $(NULL)
+
 MAN5S = gbp.conf
 
 MANUAL=manual-html

=== debian/changelog ===
git-buildpackage (0.6.15) unstable; urgency=medium

  * [5cde49a] Revert "Determine build_dir upfront"
    This reverts commit b2549fac19f2d666552291a4fcf2020ca0570834.
    Closes: #749104

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 May 2014 18:40:44 +0200

git-buildpackage (0.6.14) unstable; urgency=medium

  * [949ce84] Slightly improve usage output
  * [045e607] gbp pq: document --force
  * [817976e] Handle version format errors more gracefully.
  * [b0390d1] Fix comitter vs committer typos.
    Thanks to Sandro Tosi (Closes: #748339)
  * [dc231f2] Document that the patches must apply without fuzz
  * [de77df7] pq: Print proper error message if we fail to apply the tree
  * [54e4542] pq: Try harder to cleanup after a failed patch.
    Thanks to Marco d'Itri for the repo to debug this
  * [b2549fa] Determine build_dir upfront
  * [a050942] Improve error reporting on failed commands.
    (Closes: #748248)
  * [030ff96] Improve error reporting on hooks.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 May 2014 22:47:37 +0200

git-buildpackage (0.6.13) unstable; urgency=medium

  [ Guido Günther ]
  * [14f6ded] Test option parser fallbacks more thoroughly
    revealing another bug where we overwrote parsed values with defaults
    (Closes: #733759)
  * [03ada72] .gitignore: ignore editor backup files
  * [4c6b067] Add minimal 'config' command.  This only allows to print single
    config values so far. (Closes: #733470)
  * [b393080] Import command not module. This matches the function name.
  * [459d9bf] config: add decorator to add_option_* functions.
    This allows us to build an internal list of valid options and print
    these.

  [ Markus Lehtonen ]
  * [a8cfd88] Revert "GitRepository/add_remote_repo: fix the 'tags' argument"
    Which caused an unwanted behavior of not fetching refs/heads at all --
    only tags were fetched.
    This reverts commit 5dd598fb8f2a9109189fad6cf631811f12ce2130
  * [4131b90] docs: re-enable missing manpage

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Apr 2014 21:31:38 +0200

git-buildpackage (0.6.12) unstable; urgency=medium

  * [89f3005] Use a much simpler version to fix the command name in --help
    mostly reverting e1780f0. (Closes: #742907)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Mar 2014 00:17:59 +0100

git-buildpackage (0.6.11) unstable; urgency=medium

  [ Guido Günther ]
  * [38cfa6c] Request verbose output on bug reports
  * [d000b0c] Remove incorrect docs about multiple filter options
    (Closes: #718536)
  * [fd440e2] Use a temporary directory.  This avoids file name collisions and
    weired files in the working copy.
  * [e1780f0] Fix command output.
    The first line lacked the subcommand like:
    $ gbp pull --help
    Usage: gbp [options] - safely update a repository from remote
    instead of
    $ gbp pull --help
    Usage: gbp pull [options] - safely update a repository from remote
               ^^^^

  [ Mario Lang ]
  * [077dc35] Fix config file name

  [ Markus Lehtonen ]
  * [3808523] docs: add some missing sgml closing tags
  * [d8f55da] GitRepository/get_commit_info: correctly handle file
    renames/copies.  Use the '--no-renames' git command line option in order
    to prevent two filenames per entry.
  * [5dd598f] GitRepository/add_remote_repo: fix the 'tags' argument.
    Explicitly use --tags in git arguments - otherwise tags might not be
    fetched.
  * [15d87fb] tests: more robust check for the default urgency level of dch.
    The dch tool might not report it's version if it is incorrectly compiled.
    Create a dummy changelog and parse it "manually" to determine the default
    urgency level.
  * [7774375] pq: minor log message typo fix
  * [bbf21bf] ComponentTestBase: use regex matching in log checking

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Mar 2014 22:27:38 +0100

git-buildpackage (0.6.10) unstable; urgency=medium

  * [f1bc542,1b0b17c] config: Don't pull in config defaults twice.
    This would otherwise overwrite values set in the legacy config sections.
    (Closes: #733759)
  * [7e26f91] Remove cover-min-percentage.  It makes running single tests
    harder than necessary since it requires the percentage also when using
    "nose <testname>".
  * [d533e0f] import_dsc: Create missing debian branch with
    --create-missing-branches (Closes: #739888)
  * [df32264] git-import-dsc: Document --create-missing-branches

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Feb 2014 17:56:47 +0100
